CREATE TABLE Products (
       ID                   INTEGER NOT NULL,
       ProductName          VARCHAR(100),
       Price                INTEGER,
       PRIMARY KEY (ID)
);

CREATE TABLE Customers (
       ID                   INTEGER NOT NULL,
       CustomerName         VARCHAR(100),
       PRIMARY KEY (ID)
);

CREATE TABLE Orders (
       ID                   INTEGER NOT NULL,
       OrderNo              INTEGER,
       OrderDate            DATE,
       CustomerID           INTEGER NOT NULL,
       PRIMARY KEY (ID), 
       FOREIGN KEY (CustomerID)
                            REFERENCES Customers
);

CREATE TABLE OrderDetails (
       ID                   INTEGER NOT NULL,
       Quantity             INTEGER,
       OrderID              INTEGER NOT NULL,
       ProductID            INTEGER NOT NULL,
       PRIMARY KEY (ID), 
       FOREIGN KEY (ProductID)
                            REFERENCES Products,
       FOREIGN KEY (OrderID)
                            REFERENCES Orders
);
